.filter_bg {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.1);
  opacity: 0;
  pointer-events: none;
  z-index: 4;
  -webkit-transition: opacity 0.3s;
  transition: opacity 0.3s;
}
.filter_bg.active {
  opacity: 1;
  pointer-events: all;
}

.filter {
  width: 335px;
  height: 100%;
  background-color: #fff;
  border-left: 1px solid #070707;
  position: fixed;
  top: 0;
  right: -200%;
  opacity: 0;
  z-index: 5;
  -webkit-transition: opacity 0.3s, right 0.3s;
  transition: opacity 0.3s, right 0.3s;
}
.filter.open {
  opacity: 1;
  right: 0;
}
.filter_header {
  width: 100%;
}
.filter_header i {
  font-size: 16px;
}
.filter_header i::before {
  font-size: 16px;
}
.filter_close {
  padding: 15px;
  cursor: pointer;
  margin-left: auto;
  width: -webkit-max-content;
  width: -moz-max-content;
  width: max-content;
}
.filter_body {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  height: calc(100% - 50px);
  overflow: auto;
  padding: 0 30px 30px 30px;
}
.filter_body_block {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  padding: 15px 0;
  border-bottom: solid 1px #E3E3E3;
}
.filter_body_block_top {
  position: relative;
  font-style: normal;
  font-weight: 800;
  font-size: 14px;
  line-height: 21px;
  letter-spacing: 0.035em;
  text-transform: uppercase;
  color: #070707;
}
.filter_body_block_top.toggle {
  cursor: pointer;
}
.filter_body_block_top.toggle::before, .filter_body_block_top.toggle::after {
  content: "";
  display: block;
  position: absolute;
  right: 0;
  left: unset;
  top: 50%;
  width: 10px;
  height: 1px;
  background-color: #070707;
  -webkit-transition: -webkit-transform 0.5s linear;
  transition: -webkit-transform 0.5s linear;
  transition: transform 0.5s linear;
  transition: transform 0.5s linear, -webkit-transform 0.5s linear;
}
.filter_body_block_top.toggle::after {
  -webkit-transform: rotate(90deg);
          transform: rotate(90deg);
}
.filter_body_block.expanded .filter_body_block_top.toggle::after {
  -webkit-transform: rotate(0deg);
          transform: rotate(0deg);
}
.filter_body_block_btm {
  margin-top: 15px;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
}
.filter_body_block_btm .filter_category {
  margin-left: 22px;
  margin-bottom: 11px;
  list-style: none;
}
.filter_body_block_btm .filter_category a, .filter_body_block_btm .filter_category span {
  color: #070707;
  font-weight: 500;
  font-size: 13px;
  line-height: 18px;
  letter-spacing: 0.025em;
  position: relative;
}
.filter_body_block_btm .filter_category span {
  font-size: 8px;
}
.filter_body_block_btm .filter_category a::before {
  content: "";
  position: absolute;
  left: -22px;
  top: 4px;
  width: 10px;
  height: 10px;
  border: solid 1px #e3e3e3;
}
.filter_body_block_btm .filter_category.current_cat a::before {
  border-color: #070707;
}
.filter_body_block_btm .filter_category.current_cat a::after {
  content: "";
  position: absolute;
  left: -19px;
  top: 7px;
  width: 6px;
  height: 6px;
  background-color: #070707;
}
.filter_body_block_btm .filter_category:last-child {
  margin-bottom: 0;
}
.filter_body_block_btm #price-slider {
  height: 12px;
  width: calc(100% - 15px);
  left: 7px;
}
.filter_body_block_btm #price-slider .ui-slider-range {
  height: 12px;
  background: #e8eded;
  border: 0;
  border-top: 1px solid #070707;
  border-radius: 0;
}
.filter_body_block_btm #price-slider .ui-slider-handle {
  background: #fff;
  width: 17px;
  height: 17px;
  outline: none;
  border-radius: 0;
  border: 1px solid #000;
}
.filter_body_block_btm .price_result {
  margin-top: 15px;
  font-weight: 500;
  font-size: 11px;
  line-height: 15px;
  letter-spacing: 0.0625em;
  color: #070707;
  text-transform: uppercase;
}
.filter_body_block_btm .price_result span {
  font-weight: 700;
  font-size: 12px;
  line-height: 16px;
  letter-spacing: -0.005em;
}

.blockOverlay {
  background-color: rgba(0, 0, 0, 0.1803921569) !important;
}

#ajax-loader {
  margin-bottom: 60px;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
}
#ajax-loader i {
  width: 35px;
  height: 35px;
}

.filter_body_block:last-child {
  border-bottom: 0;
}
.filter_body_block_btm .price_submit {
  width: 100%;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  margin-top: 10px;
  background-color: transparent;
  color: #070707;
  padding: 13px 25px;
  outline: none;
  font-weight: 600;
  font-size: 12px;
  line-height: 1;
  text-align: center;
  letter-spacing: 0.06em;
  text-transform: uppercase;
  border: 1px solid #070707;
  cursor: pointer;
  -webkit-transition: color 0.3s, background-color 0.3s;
  transition: color 0.3s, background-color 0.3s;
}
.filter_body_block_btm .price_submit:hover {
  color: #fff;
  background-color: #070707;
}
.filter_body_block_btm .sizes {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  gap: 13px;
  -ms-flex-wrap: wrap;
      flex-wrap: wrap;
}
.filter_body_block_btm .sizes .size {
  width: 25px;
  height: 25px;
  position: relative;
}
.filter_body_block_btm .sizes .size input {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  visibility: hidden;
  z-index: 1;
  margin: 0;
}
.filter_body_block_btm .sizes .size label {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 2;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  font-size: 12px;
  color: #333;
  border: 1px solid #070707;
  line-height: 12px;
  font-weight: 600;
  cursor: pointer;
  -webkit-transition: background-color 0.3s, color 0.3s;
  transition: background-color 0.3s, color 0.3s;
}
.filter_body_block_btm .sizes .size.hidden {
  opacity: 0.5;
  pointer-events: none;
}
.filter_body_block_btm .sizes .size.active label {
  background-color: #333;
  color: #fff;
}
.filter_body_block_btm .filter_body_btns {
  margin-top: 25px;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  gap: 7px;
}
.filter_body_block_btm .filter_body_btns button {
  width: calc(50% - 4px);
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  margin-top: 10px;
  background-color: transparent;
  color: #070707;
  padding: 13px 25px;
  outline: none;
  font-weight: 600;
  font-size: 12px;
  line-height: 1;
  text-align: center;
  letter-spacing: 0.06em;
  text-transform: uppercase;
  border: 1px solid #070707;
  cursor: pointer;
  -webkit-transition: color 0.3s, background-color 0.3s;
  transition: color 0.3s, background-color 0.3s;
}
.filter_body_block_btm .filter_body_btns button:hover {
  color: #fff;
  background-color: #070707;
}

@media (max-width: 768px) {
  .filter {
    width: 360px;
  }
}